Package org.springframework.security.authorization

# Class ExpressionAuthorizationDecision

java.lang.Object
org.springframework.security.authorization.AuthorizationDecision
org.springframework.security.authorization.ExpressionAuthorizationDecision

All Implemented Interfaces:
  `Serializable`, `AuthorizationResult`

public class ExpressionAuthorizationDecision extends AuthorizationDecision
Represents an `AuthorizationDecision` based on a `Expression`

Since:
  5.8
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExpressionAuthorizationDecision(boolean granted, org.springframework.expression.Expression expressionAttribute)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.expression.Expression`
`getExpression()`
`String`
`toString()`

### Methods inherited from class org.springframework.security.authorization.AuthorizationDecision

`isGranted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExpressionAuthorizationDecision

public ExpressionAuthorizationDecision(boolean granted, org.springframework.expression.Expression expressionAttribute)

## Method Details

### getExpression

public org.springframework.expression.Expression getExpression()

### toString

public String toString()

Overrides:
  `toString` in class `AuthorizationDecision`